# Join

## Join

> Joins a Tenant Broker.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/TenantBroker/Join":{"post":{"tags":["2-Site settings//Tenant Broker"],"summary":"Join","description":"Joins a Tenant Broker.","operationId":"6fb139d7-6057-453f-91b3-175bb89bcded","parameters":[{"name":"siteId","in":"query","description":"Site ID from which to retrieve the Tenant Broker settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"TenantBroker settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/InvokeTenantBroker"}}}},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"412":{"description":"Client Error","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"InvokeTenantBroker":{"required":["hashKey"],"type":"object","properties":{"hashKey":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">This can be the Tenant Broker secret key located at Farm | Settings | Tenant Broker, or the Tenant invitation hash created at Farm | Tenants | Add.</para>","nullable":true},"tenantBroker":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The IP or DNS address of the Tenant Broker to join.</para>","nullable":true},"tenantName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The Tenant name. Applicable only if Farms are allowed to register using a secret key.</para>","nullable":true},"publicDomainAddresses":{"maxLength":260,"minLength":1,"type":"string","description":"<para type=\"description\">The accessible name. Applicable only if Farms are allowed to register using a secret key.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Join Tenant Broker</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/tenant-broker/join.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
